# List entity narratives

**GET** `/entities/{entity_id}/narratives`

Retrieve the narratives for an entity, newest first. Deleted narratives are excluded.

### Path Parameters

- `entity_id` `string` _(required)_ — Unique identifier for the entity.

### Query Parameters

- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/entities/<entity_id>/narratives' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "has_more": false,
  "narratives": [
    {
      "body": "example_body",
      "created_at": "2024-01-15T09:30:00Z",
      "entity_id": "enti_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
      "id": "item_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
      "related_document_id": "redo_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
      "related_field": "CHASUS33XXX"
    }
  ]
}
```
